"{ Package: 'stx:goodies/monticello' }"

"{ NameSpace: Smalltalk }"

Annotation subclass:#MCTimestampAnnotation
	instanceVariableNames:'timestamp'
	classVariableNames:''
	poolDictionaries:''
	category:'SCM-Monticello-St/X support'
!


!MCTimestampAnnotation methodsFor:'accessing'!

key
    "superclass Annotation says that I am responsible to implement this method"

    ^ #mctimestamp:

    "Modified: / 14-09-2010 / 15:34:23 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

timestamp
    ^ timestamp
!

timestamp:aString
    timestamp := aString.
! !

!MCTimestampAnnotation methodsFor:'printing & storing'!

storeOn:aStream
    "superclass Annotation says that I am responsible to implement this method"

    aStream nextPutAll: '(Annotation mctimestamp: '.
    timestamp storeOn: aStream.
    aStream nextPut: $).

    "Modified: / 14-09-2010 / 15:36:40 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!MCTimestampAnnotation class methodsFor:'documentation'!

version
    ^ '$Header$'
!

version_CVS
    ^ '$Header$'
!

version_SVN
    ^ '$Id$'
! !

